<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:cdr="urn:customs.ru:Information:ExchangeDocuments:ConfirmDocsRecip:5.8.0" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.8.0" xmlns:catExch_ru="urn:customs.ru:Information:ExchangeDocuments:ExchangeCommonAggregateTypes:5.8.0" exclude-result-prefixes="catExch_ru cat_ru cdr">

    <xsl:template match="/">
        <html>
            <head />
            <body>
                <table border="1">
                    <tbody>
                        <tr>
                            <td align="center" width="146">
                                <xsl:for-each select="cdr:ConfirmDocsRecip">
                                    <xsl:for-each select="cdr:SendDate">
                                        <xsl:value-of select="format-number(substring(., 9, 2), '00')" />
                                        <xsl:text>.</xsl:text>
                                        <xsl:value-of select="format-number(substring(., 6, 2), '00')" />
                                        <xsl:text>.</xsl:text>
                                        <xsl:value-of select="format-number(substring(., 1, 4), '0000')" />
                                    </xsl:for-each>
                                </xsl:for-each>&#160;</td>
                        </tr>
                    </tbody>
                </table>
                <table border="0" width="100%">
                    <tbody>
                        <tr>
                            <td align="center">
                                <span style="font-size:large; font-weight:bold; ">Подтверждение</span>
                                <br/>
                                <span style="font-size:medium; font-weight:bold; ">получения должностным лицом таможенного органа электронных документов</span>
                            </td>
                        </tr>
                        <tr>
                            <td align="center" />
                        </tr>
                    </tbody>
                </table>
                <br />
                <xsl:if test="string-length(  cdr:ConfirmDocsRecip/cdr:Comments  )  = 0">Получины следующие документы</xsl:if>
                <xsl:for-each select="cdr:ConfirmDocsRecip">
                    <xsl:for-each select="cdr:Comments">
                        <xsl:apply-templates />
                    </xsl:for-each>
                </xsl:for-each>
                <br />
                <br />
                <xsl:for-each select="cdr:ConfirmDocsRecip">
                    <table border="0" frame="void">
                        <tbody>
                         
                                <tr>
                                    <td>Количество полученных документов: 
                                        <xsl:value-of select="cdr:NumberOfDocs"/>
                                    </td>
                                </tr>
                
                          
                        </tbody>
                    </table> </xsl:for-each>
                    
                 
                    
                    
                    
                    
                    <table border="1" width="100%" >
							<tbody>
									<tr>
									<td width="30%" align="center">Уникальный идентификатор документа</td>
									<td width="3%" align="center">Код вида документа</td>
									<td  width="30%" align="center">Реквизиты документа</td>
									<td width="7%" align="center">Время создания документы</td>
									<td width="30%" align="center">Дата/время получения документа</td>
									</tr>
									<xsl:for-each select="cdr:ConfirmDocsRecip/cdr:RecipDoc">
											
											<tr>
											<td width="30%" align="center">
											<xsl:value-of select="catExch_ru:RecipDocumentID"/>
											</td>
										<xsl:choose>
											<xsl:when test="(catExch_ru:RecipDocumentModeID) or (cat_ru:PrDocumentName) or (cat_ru:PrDocumentNumber)">
											
									<td width="3%" align="center">
									<xsl:value-of select="catExch_ru:RecipDocumentModeID"/>
									</td>
									<td  width="30%" align="center">
									<xsl:value-of select="cat_ru:PrDocumentName"/>&#160;
									<xsl:value-of select="cat_ru:PrDocumentNumber"/>&#160;
									<xsl:for-each select="cat_ru:PrDocumentDate"> от 
                                            <xsl:value-of select="format-number(substring(., 9, 2), '00')" />
                                            <xsl:text>.</xsl:text>
                                            <xsl:value-of select="format-number(substring(., 6, 2), '00')" />
                                            <xsl:text>.</xsl:text>
                                            <xsl:value-of select="format-number(substring(., 1, 4), '0000')" />
                                        </xsl:for-each>&#160;
									</td></xsl:when>
									<xsl:otherwise>
									<td width="3%" align="center">
									<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
									</xsl:otherwise>
									</xsl:choose>
									
									<xsl:choose>
											<xsl:when test="catExch_ru:RecipDocTime">
									<td width="7%" align="center">
									<xsl:value-of select="catExch_ru:RecipDocTime"/>
									</td>
									</xsl:when>
									<xsl:otherwise>
									<td width="7%" align="center">
									<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
									</xsl:otherwise>
									</xsl:choose>
									<xsl:choose>
											<xsl:when test="(catExch_ru:RecipDate) or (catExch_ru:RecipTime)">
											
								<td width="30%" align="center">
								
								<xsl:for-each select="catExch_ru:RecipDate"> 
                                            <xsl:value-of select="format-number(substring(., 9, 2), '00')" />
                                            <xsl:text>.</xsl:text>
                                            <xsl:value-of select="format-number(substring(., 6, 2), '00')" />
                                            <xsl:text>.</xsl:text>
                                            <xsl:value-of select="format-number(substring(., 1, 4), '0000')" />
                                        </xsl:for-each>&#160;
								
								
									
									<xsl:value-of select="catExch_ru:RecipTime"/>
									</td>
											
									</xsl:when>
									<xsl:otherwise>
									<td width="30%" align="center">
									<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
									</xsl:otherwise>
									</xsl:choose>
										</tr>	
											</xsl:for-each>
						</tbody>
				</table>
				   <table border="0" width="100%" >
							<tbody>
								<xsl:for-each select="cdr:ConfirmDocsRecip">
									<tr>
									<td><br/><br/>
									Таможенный пост:
									<xsl:value-of select="cdr:Customs/cat_ru:Code"/>
									<xsl:if test="cdr:Customs/cat_ru:OfficeName">, 
									<xsl:value-of select="cdr:Customs/cat_ru:OfficeName"/>
									</xsl:if>
									</td>
									</tr>
									<tr>
										<td><br/>
										Должностное лицо таможенного органа
										<xsl:value-of select="cdr:CustomsPerson/cat_ru:PersonName"/>
									<xsl:if test="cdr:CustomsPerson/cat_ru:LNP"> ЛНП 
									<xsl:value-of select="cdr:CustomsPerson/cat_ru:LNP"/>
									</xsl:if>

										</td>
									</tr>
									</xsl:for-each>
									</tbody>
									</table>
									              
              </body>
              </html>
              </xsl:template>
              </xsl:stylesheet>
                
                    
             